import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/submit',
    method: 'post',
    data: row
  })
}

export const chongzhi =(row) =>{
  return request({
    url: "/api/yeePay/payByGateway",
    method: "post",
    data: row
  })
}

export const getBussinessList = (current, size, params) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/getBussinessList',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}



